Bug 1314114 - [RFE] CephFS repair tools
Summary: [RFE] CephFS repair tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Greg Farnum
QA Contact: Vasu Kulkarni
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504
TreeView+ depends on / blocked
 
Reported: 2016-03-03 00:09 UTC by Neil Levine
Modified: 2017-07-30 15:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
Documented with BZ#1314112
Clone Of:
Environment:
Last Closed: 2016-08-23 19:32:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 15145 None None None 2016-03-15 17:08:56 UTC
Red Hat Bugzilla 1328430 unspecified CLOSED [Doc RFE] Document CephFS (Tech Preview) 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Internal Links: 1328430

Description Neil Levine 2016-03-03 00:09:28 UTC
Ship the fsck-like repair tool for CephFS/MDS.

Comment 2 Ken Dreyer (Red Hat) 2016-03-04 23:31:16 UTC
The specific tools here are:

/usr/bin/cephfs-data-scan
/usr/bin/cephfs-journal-tool
/usr/bin/cephfs-table-tool

In v10.0.4, these are in the "ceph-mds" package. No man pages yet.

Need positive confirmation from Product Management regarding whether we should ship them in ceph-common instead of ceph-mds (probably yes), in which case we need a PR upstream to change the RPM and Deb packaging.

Comment 3 Neil Levine 2016-03-05 02:53:14 UTC
As these tools don't have to be run from the MDS server itself and can be run from any admin node, it makes sense to include them in ceph-common so let's change the packages.

Comment 4 Greg Farnum 2016-03-14 20:40:50 UTC
These are in 10.0.4, although I'm not sure about the packaging state.

Comment 5 Ken Dreyer (Red Hat) 2016-03-15 12:38:37 UTC
The tools still need to move to ceph-common.

Comment 10 Vasu Kulkarni 2016-08-02 21:41:29 UTC
Verified in 10.2.2-32.

Comment 12 errata-xmlrpc 2016-08-23 19:32:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.